---
layout: docs
title: REST API Commands
breadcrumb: [ "advanced.html", "Advanced", "Rest" ]
---


== REST API Commands
{% include new_since.ad version="2.24" %}
Thruk offers a rest api to expose various aspects of Thruk itself and
livestatus information.

Read more about the link:rest.html[REST API] itself. This page contains
the comprehensive list of all available external commands.

== Response

In case the command was successful, a simple json message is returned:

------
    %> thruk r -d "comment_data=test" /hosts/localhost/cmd/schedule_host_downtime
    {
      "message" : "Command successfully submitted"
    }
------

However, due to the way external commands are implemented throughout the various
cores, this message does not neccessarily mean the command was successful. Only
the submission was successful.

If the core supports it (which is currently only Naemon >= 1.0.9) you will get
a error response if something did not work like this:

------
    %> thruk r -d "comment_data=test" -d "triggered_by=xxx" /hosts/localhost/cmd/schedule_host_downtime
    {
      "code" : 400,
      "error" : "400: Couldn't parse ulong argument trigger_id (argument 4): No digits found in ulong 'xxx'\n",
      "message" : "sending command failed"
    }
------


== Arguments and default values

Each command can have required and optional arguments which are listed along with
the command itself.

Some of the arguments have default values:

  - `comment_author`: defaults to the current user and cannot be changed usually
  - `fixed`:          defaults to 1
  - `duration`:       defaults to 0
  - `triggered_by`:   defaults to 0
  - `start_time`:     defaults to now
  - `end_time`:       defaults to now + downtime_duration from the thruk.conf


== Relative timestamps

Timestamps, like start_date and end_date can be relative to get more reusable commands.

------
    %> thruk r -d "end_time=+60m" -d "comment_data='downtime comment'" '/services/<host>/<svc>/cmd/schedule_svc_downtime'
------

This will create a 1hour downtime. Other suffixes are:

  - `y`: years
  - `w`: weeks
  - `d`: days
  - `h`: hours
  - `m`: minutes

More time definition examples can be found on the link:timedefinitions.html[time definitions page].


== Generic Command Endpoint
{% include new_since.ad version="2.34" %}
To avoid escaping issues, there is a generic command endpoint `/cmd` which can be used
to send any command.

------
    %> curl -H "X-Thruk-Auth-Key: ****" \
            -d "cmd=acknowledge_svc_problem" \
            -d "host=hostname" \
            -d "service=servicedescription" \
            -d "comment_data=test" \
          'http://localhost/thruk/r/cmd'
------


== Example Usage

All examples can be found on the link:rest_examples.html#sending-commands[REST API Examples page].

== Endpoints

See examples and detailed description for all available rest api command urls:

=== POST /contactgroups/<name>/cmd/disable_contactgroup_host_notifications

Disables host notifications for all contacts in a particular contactgroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_contactgroup_host_notifications.html for details.

=== POST /contactgroups/<name>/cmd/disable_contactgroup_svc_notifications

Disables service notifications for all contacts in a particular contactgroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_contactgroup_svc_notifications.html for details.

=== POST /contactgroups/<name>/cmd/enable_contactgroup_host_notifications

Enables host notifications for all contacts in a particular contactgroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_contactgroup_host_notifications.html for details.

=== POST /contactgroups/<name>/cmd/enable_contactgroup_svc_notifications

Enables service notifications for all contacts in a particular contactgroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_contactgroup_svc_notifications.html for details.

=== POST /contacts/<name>/cmd/change_contact_host_notification_timeperiod

Changes the host notification timeperiod for a particular contact to what is specified by the 'notification_timeperiod' option. The 'notification_timeperiod' option should be the short name of the timeperiod that is to be used as the contact's host notification timeperiod. The timeperiod must have been configured in Naemon before it was last (re)started.

Required arguments:

  * timeperiod

See https://www.naemon.io/documentation/developer/externalcommands/change_contact_host_notification_timeperiod.html for details.

=== POST /contacts/<name>/cmd/change_contact_svc_notification_timeperiod

Changes the service notification timeperiod for a particular contact to what is specified by the 'notification_timeperiod' option. The 'notification_timeperiod' option should be the short name of the timeperiod that is to be used as the contact's service notification timeperiod. The timeperiod must have been configured in Naemon before it was last (re)started.

Required arguments:

  * timeperiod

See https://www.naemon.io/documentation/developer/externalcommands/change_contact_svc_notification_timeperiod.html for details.

=== POST /contacts/<name>/cmd/change_custom_contact_var

Changes the value of a custom contact variable.

Required arguments:

  * name
  * value

See https://www.naemon.io/documentation/developer/externalcommands/change_custom_contact_var.html for details.

=== POST /contacts/<name>/cmd/disable_contact_host_notifications

Disables host notifications for a particular contact.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_contact_host_notifications.html for details.

=== POST /contacts/<name>/cmd/disable_contact_svc_notifications

Disables service notifications for a particular contact.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_contact_svc_notifications.html for details.

=== POST /contacts/<name>/cmd/enable_contact_host_notifications

Enables host notifications for a particular contact.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_contact_host_notifications.html for details.

=== POST /contacts/<name>/cmd/enable_contact_svc_notifications

Disables service notifications for a particular contact.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_contact_svc_notifications.html for details.

=== POST /hostgroups/<name>/cmd/disable_hostgroup_host_checks

Sends the DISABLE_HOSTGROUP_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_hostgroup_host_checks.html for details.

=== POST /hostgroups/<name>/cmd/disable_hostgroup_host_notifications

Sends the DISABLE_HOSTGROUP_HOST_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_hostgroup_host_notifications.html for details.

=== POST /hostgroups/<name>/cmd/disable_hostgroup_passive_host_checks

Disables passive checks for all hosts in a particular hostgroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_hostgroup_passive_host_checks.html for details.

=== POST /hostgroups/<name>/cmd/disable_hostgroup_passive_svc_checks

Disables passive checks for all services associated with hosts in a particular hostgroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_hostgroup_passive_svc_checks.html for details.

=== POST /hostgroups/<name>/cmd/disable_hostgroup_svc_checks

Sends the DISABLE_HOSTGROUP_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_hostgroup_svc_checks.html for details.

=== POST /hostgroups/<name>/cmd/disable_hostgroup_svc_notifications

Sends the DISABLE_HOSTGROUP_SVC_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_hostgroup_svc_notifications.html for details.

=== POST /hostgroups/<name>/cmd/enable_hostgroup_host_checks

Sends the ENABLE_HOSTGROUP_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_hostgroup_host_checks.html for details.

=== POST /hostgroups/<name>/cmd/enable_hostgroup_host_notifications

Sends the ENABLE_HOSTGROUP_HOST_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_hostgroup_host_notifications.html for details.

=== POST /hostgroups/<name>/cmd/enable_hostgroup_passive_host_checks

Enables passive checks for all hosts in a particular hostgroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_hostgroup_passive_host_checks.html for details.

=== POST /hostgroups/<name>/cmd/enable_hostgroup_passive_svc_checks

Enables passive checks for all services associated with hosts in a particular hostgroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_hostgroup_passive_svc_checks.html for details.

=== POST /hostgroups/<name>/cmd/enable_hostgroup_svc_checks

Sends the ENABLE_HOSTGROUP_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_hostgroup_svc_checks.html for details.

=== POST /hostgroups/<name>/cmd/enable_hostgroup_svc_notifications

Sends the ENABLE_HOSTGROUP_SVC_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_hostgroup_svc_notifications.html for details.

=== POST /hostgroups/<name>/cmd/schedule_hostgroup_host_downtime

Sends the SCHEDULE_HOSTGROUP_HOST_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_hostgroup_host_downtime.html for details.

=== POST /hostgroups/<name>/cmd/schedule_hostgroup_svc_downtime

Sends the SCHEDULE_HOSTGROUP_SVC_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_hostgroup_svc_downtime.html for details.

=== POST /hosts/<name>/cmd/acknowledge_host_problem

Sends the ACKNOWLEDGE_HOST_PROBLEM command.

Required arguments:

  * comment_data

Optional arguments:

  * sticky_ack
  * send_notification
  * persistent_comment
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/acknowledge_host_problem.html for details.

=== POST /hosts/<name>/cmd/acknowledge_host_problem_expire

Sends the ACKNOWLEDGE_HOST_PROBLEM_EXPIRE command.

Required arguments:

  * comment_data

Optional arguments:

  * sticky_ack
  * send_notification
  * persistent_comment
  * end_time
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/acknowledge_host_problem_expire.html for details.

=== POST /hosts/<name>/cmd/add_host_comment

Sends the ADD_HOST_COMMENT command.

Required arguments:

  * comment_data

Optional arguments:

  * persistent_comment
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/add_host_comment.html for details.

=== POST /hosts/<name>/cmd/change_custom_host_var

Changes the value of a custom host variable.

Required arguments:

  * name
  * value

See https://www.naemon.io/documentation/developer/externalcommands/change_custom_host_var.html for details.

=== POST /hosts/<name>/cmd/change_host_check_timeperiod

Changes the valid check period for the specified host.

Required arguments:

  * timeperiod

See https://www.naemon.io/documentation/developer/externalcommands/change_host_check_timeperiod.html for details.

=== POST /hosts/<name>/cmd/change_host_modattr

Sends the CHANGE_HOST_MODATTR command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/change_host_modattr.html for details.

=== POST /hosts/<name>/cmd/change_host_notification_timeperiod

Changes the host notification timeperiod to what is specified by the 'notification_timeperiod' option. The 'notification_timeperiod' option should be the short name of the timeperiod that is to be used as the service notification timeperiod. The timeperiod must have been configured in Naemon before it was last (re)started.

Required arguments:

  * timeperiod

See https://www.naemon.io/documentation/developer/externalcommands/change_host_notification_timeperiod.html for details.

=== POST /hosts/<name>/cmd/change_max_host_check_attempts

Changes the maximum number of check attempts (retries) for a particular host.

Required arguments:

  * interval

See https://www.naemon.io/documentation/developer/externalcommands/change_max_host_check_attempts.html for details.

=== POST /hosts/<name>/cmd/change_normal_host_check_interval

Changes the normal (regularly scheduled) check interval for a particular host.

Required arguments:

  * interval

See https://www.naemon.io/documentation/developer/externalcommands/change_normal_host_check_interval.html for details.

=== POST /hosts/<name>/cmd/change_retry_host_check_interval

Changes the retry check interval for a particular host.

Required arguments:

  * interval

See https://www.naemon.io/documentation/developer/externalcommands/change_retry_host_check_interval.html for details.

=== POST /hosts/<name>/cmd/del_active_host_downtimes

Removes all currently active downtimes for this host.

This command does not require any arguments.


=== POST /hosts/<name>/cmd/del_all_host_comments

Sends the DEL_ALL_HOST_COMMENTS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/del_all_host_comments.html for details.

=== POST /hosts/<name>/cmd/del_comment

Removes downtime by id for this host.

Required arguments:

  * comment_id


=== POST /hosts/<name>/cmd/del_downtime

Removes downtime by id for this host.

Required arguments:

  * downtime_id


=== POST /hosts/<name>/cmd/delay_host_notification

Sends the DELAY_HOST_NOTIFICATION command.

Required arguments:

  * notification_time

See https://www.naemon.io/documentation/developer/externalcommands/delay_host_notification.html for details.

=== POST /hosts/<name>/cmd/disable_all_notifications_beyond_host

Sends the DISABLE_ALL_NOTIFICATIONS_BEYOND_HOST command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_all_notifications_beyond_host.html for details.

=== POST /hosts/<name>/cmd/disable_host_and_child_notifications

Sends the DISABLE_HOST_AND_CHILD_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_host_and_child_notifications.html for details.

=== POST /hosts/<name>/cmd/disable_host_check

Sends the DISABLE_HOST_CHECK command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_host_check.html for details.

=== POST /hosts/<name>/cmd/disable_host_event_handler

Sends the DISABLE_HOST_EVENT_HANDLER command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_host_event_handler.html for details.

=== POST /hosts/<name>/cmd/disable_host_flap_detection

Sends the DISABLE_HOST_FLAP_DETECTION command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_host_flap_detection.html for details.

=== POST /hosts/<name>/cmd/disable_host_notifications

Sends the DISABLE_HOST_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_host_notifications.html for details.

=== POST /hosts/<name>/cmd/disable_host_svc_checks

Sends the DISABLE_HOST_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_host_svc_checks.html for details.

=== POST /hosts/<name>/cmd/disable_host_svc_notifications

Sends the DISABLE_HOST_SVC_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_host_svc_notifications.html for details.

=== POST /hosts/<name>/cmd/disable_passive_host_checks

Sends the DISABLE_PASSIVE_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_passive_host_checks.html for details.

=== POST /hosts/<name>/cmd/enable_all_notifications_beyond_host

Sends the ENABLE_ALL_NOTIFICATIONS_BEYOND_HOST command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_all_notifications_beyond_host.html for details.

=== POST /hosts/<name>/cmd/enable_host_and_child_notifications

Sends the ENABLE_HOST_AND_CHILD_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_host_and_child_notifications.html for details.

=== POST /hosts/<name>/cmd/enable_host_check

Sends the ENABLE_HOST_CHECK command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_host_check.html for details.

=== POST /hosts/<name>/cmd/enable_host_event_handler

Sends the ENABLE_HOST_EVENT_HANDLER command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_host_event_handler.html for details.

=== POST /hosts/<name>/cmd/enable_host_flap_detection

Sends the ENABLE_HOST_FLAP_DETECTION command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_host_flap_detection.html for details.

=== POST /hosts/<name>/cmd/enable_host_notifications

Sends the ENABLE_HOST_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_host_notifications.html for details.

=== POST /hosts/<name>/cmd/enable_host_svc_checks

Sends the ENABLE_HOST_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_host_svc_checks.html for details.

=== POST /hosts/<name>/cmd/enable_host_svc_notifications

Sends the ENABLE_HOST_SVC_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_host_svc_notifications.html for details.

=== POST /hosts/<name>/cmd/enable_passive_host_checks

Sends the ENABLE_PASSIVE_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_passive_host_checks.html for details.

=== POST /hosts/<name>/cmd/note

Add host note to core log.

Required arguments:

  * log


=== POST /hosts/<name>/cmd/process_host_check_result

Sends the PROCESS_HOST_CHECK_RESULT command.

Required arguments:

  * plugin_state
  * plugin_output

Optional arguments:

  * performance_data

See https://www.naemon.io/documentation/developer/externalcommands/process_host_check_result.html for details.

=== POST /hosts/<name>/cmd/remove_host_acknowledgement

Sends the REMOVE_HOST_ACKNOWLEDGEMENT command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/remove_host_acknowledgement.html for details.

=== POST /hosts/<name>/cmd/schedule_and_propagate_host_downtime

Sends the SCHEDULE_AND_PROPAGATE_HOST_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_and_propagate_host_downtime.html for details.

=== POST /hosts/<name>/cmd/schedule_and_propagate_triggered_host_downtime

Sends the SCHEDULE_AND_PROPAGATE_TRIGGERED_HOST_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_and_propagate_triggered_host_downtime.html for details.

=== POST /hosts/<name>/cmd/schedule_forced_host_check

Sends the SCHEDULE_FORCED_HOST_CHECK command.

Optional arguments:

  * start_time

See https://www.naemon.io/documentation/developer/externalcommands/schedule_forced_host_check.html for details.

=== POST /hosts/<name>/cmd/schedule_forced_host_svc_checks

Sends the SCHEDULE_FORCED_HOST_SVC_CHECKS command.

Optional arguments:

  * start_time

See https://www.naemon.io/documentation/developer/externalcommands/schedule_forced_host_svc_checks.html for details.

=== POST /hosts/<name>/cmd/schedule_host_check

Sends the SCHEDULE_HOST_CHECK command.

Optional arguments:

  * start_time

See https://www.naemon.io/documentation/developer/externalcommands/schedule_host_check.html for details.

=== POST /hosts/<name>/cmd/schedule_host_downtime

Sends the SCHEDULE_HOST_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_host_downtime.html for details.

=== POST /hosts/<name>/cmd/schedule_host_svc_checks

Sends the SCHEDULE_HOST_SVC_CHECKS command.

Optional arguments:

  * start_time

See https://www.naemon.io/documentation/developer/externalcommands/schedule_host_svc_checks.html for details.

=== POST /hosts/<name>/cmd/schedule_host_svc_downtime

Sends the SCHEDULE_HOST_SVC_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_host_svc_downtime.html for details.

=== POST /hosts/<name>/cmd/send_custom_host_notification

Sends the SEND_CUSTOM_HOST_NOTIFICATION command.

Required arguments:

  * comment_data

Optional arguments:

  * options
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/send_custom_host_notification.html for details.

=== POST /hosts/<name>/cmd/set_host_notification_number

Sets the current notification number for a particular host. A value of 0 indicates that no notification has yet been sent for the current host problem. Useful for forcing an escalation (based on notification number) or replicating notification information in redundant monitoring environments. Notification numbers greater than zero have no noticeable affect on the notification process if the host is currently in an UP state.

Required arguments:

  * number

See https://www.naemon.io/documentation/developer/externalcommands/set_host_notification_number.html for details.

=== POST /hosts/<name>/cmd/start_obsessing_over_host

Sends the START_OBSESSING_OVER_HOST command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/start_obsessing_over_host.html for details.

=== POST /hosts/<name>/cmd/stop_obsessing_over_host

Sends the STOP_OBSESSING_OVER_HOST command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/stop_obsessing_over_host.html for details.

=== POST /servicegroups/<name>/cmd/disable_servicegroup_host_checks

Sends the DISABLE_SERVICEGROUP_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_servicegroup_host_checks.html for details.

=== POST /servicegroups/<name>/cmd/disable_servicegroup_host_notifications

Sends the DISABLE_SERVICEGROUP_HOST_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_servicegroup_host_notifications.html for details.

=== POST /servicegroups/<name>/cmd/disable_servicegroup_passive_host_checks

Disables the acceptance and processing of passive checks for all hosts that have services that are members of a particular service group.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_servicegroup_passive_host_checks.html for details.

=== POST /servicegroups/<name>/cmd/disable_servicegroup_passive_svc_checks

Disables the acceptance and processing of passive checks for all services in a particular servicegroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_servicegroup_passive_svc_checks.html for details.

=== POST /servicegroups/<name>/cmd/disable_servicegroup_svc_checks

Sends the DISABLE_SERVICEGROUP_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_servicegroup_svc_checks.html for details.

=== POST /servicegroups/<name>/cmd/disable_servicegroup_svc_notifications

Sends the DISABLE_SERVICEGROUP_SVC_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_servicegroup_svc_notifications.html for details.

=== POST /servicegroups/<name>/cmd/enable_servicegroup_host_checks

Sends the ENABLE_SERVICEGROUP_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_servicegroup_host_checks.html for details.

=== POST /servicegroups/<name>/cmd/enable_servicegroup_host_notifications

Sends the ENABLE_SERVICEGROUP_HOST_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_servicegroup_host_notifications.html for details.

=== POST /servicegroups/<name>/cmd/enable_servicegroup_passive_host_checks

Enables the acceptance and processing of passive checks for all hosts that have services that are members of a particular service group.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_servicegroup_passive_host_checks.html for details.

=== POST /servicegroups/<name>/cmd/enable_servicegroup_passive_svc_checks

Enables the acceptance and processing of passive checks for all services in a particular servicegroup.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_servicegroup_passive_svc_checks.html for details.

=== POST /servicegroups/<name>/cmd/enable_servicegroup_svc_checks

Sends the ENABLE_SERVICEGROUP_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_servicegroup_svc_checks.html for details.

=== POST /servicegroups/<name>/cmd/enable_servicegroup_svc_notifications

Sends the ENABLE_SERVICEGROUP_SVC_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_servicegroup_svc_notifications.html for details.

=== POST /servicegroups/<name>/cmd/schedule_servicegroup_host_downtime

Sends the SCHEDULE_SERVICEGROUP_HOST_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_servicegroup_host_downtime.html for details.

=== POST /servicegroups/<name>/cmd/schedule_servicegroup_svc_downtime

Sends the SCHEDULE_SERVICEGROUP_SVC_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_servicegroup_svc_downtime.html for details.

=== POST /services/<host>/<service>/cmd/acknowledge_svc_problem

Sends the ACKNOWLEDGE_SVC_PROBLEM command.

Required arguments:

  * comment_data

Optional arguments:

  * sticky_ack
  * send_notification
  * persistent_comment
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/acknowledge_svc_problem.html for details.

=== POST /services/<host>/<service>/cmd/acknowledge_svc_problem_expire

Sends the ACKNOWLEDGE_SVC_PROBLEM_EXPIRE command.

Required arguments:

  * comment_data

Optional arguments:

  * sticky_ack
  * send_notification
  * persistent_comment
  * end_time
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/acknowledge_svc_problem_expire.html for details.

=== POST /services/<host>/<service>/cmd/add_svc_comment

Sends the ADD_SVC_COMMENT command.

Required arguments:

  * comment_data

Optional arguments:

  * persistent_comment
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/add_svc_comment.html for details.

=== POST /services/<host>/<service>/cmd/change_custom_svc_var

Changes the value of a custom service variable.

Required arguments:

  * name
  * value

See https://www.naemon.io/documentation/developer/externalcommands/change_custom_svc_var.html for details.

=== POST /services/<host>/<service>/cmd/change_max_svc_check_attempts

Changes the maximum number of check attempts (retries) for a particular service.

Required arguments:

  * attempts

See https://www.naemon.io/documentation/developer/externalcommands/change_max_svc_check_attempts.html for details.

=== POST /services/<host>/<service>/cmd/change_normal_svc_check_interval

Changes the normal (regularly scheduled) check interval for a particular service

Required arguments:

  * interval

See https://www.naemon.io/documentation/developer/externalcommands/change_normal_svc_check_interval.html for details.

=== POST /services/<host>/<service>/cmd/change_retry_svc_check_interval

Changes the retry check interval for a particular service.

Required arguments:

  * interval

See https://www.naemon.io/documentation/developer/externalcommands/change_retry_svc_check_interval.html for details.

=== POST /services/<host>/<service>/cmd/change_svc_check_timeperiod

Changes the check timeperiod for a particular service to what is specified by the 'check_timeperiod' option. The 'check_timeperiod' option should be the short name of the timeperod that is to be used as the service check timeperiod. The timeperiod must have been configured in Naemon before it was last (re)started.

Required arguments:

  * timeperiod

See https://www.naemon.io/documentation/developer/externalcommands/change_svc_check_timeperiod.html for details.

=== POST /services/<host>/<service>/cmd/change_svc_modattr

Sends the CHANGE_SVC_MODATTR command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/change_svc_modattr.html for details.

=== POST /services/<host>/<service>/cmd/change_svc_notification_timeperiod

Changes the service notification timeperiod to what is specified by the 'notification_timeperiod' option. The 'notification_timeperiod' option should be the short name of the timeperiod that is to be used as the service notification timeperiod. The timeperiod must have been configured in Naemon before it was last (re)started.

Required arguments:

  * timeperiod

See https://www.naemon.io/documentation/developer/externalcommands/change_svc_notification_timeperiod.html for details.

=== POST /services/<host>/<service>/cmd/del_active_service_downtimes

Removes all currently active downtimes for this service.

This command does not require any arguments.


=== POST /services/<host>/<service>/cmd/del_all_svc_comments

Sends the DEL_ALL_SVC_COMMENTS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/del_all_svc_comments.html for details.

=== POST /services/<host>/<service>/cmd/del_comment

Removes downtime by id for this service.

Required arguments:

  * comment_id


=== POST /services/<host>/<service>/cmd/del_downtime

Removes downtime by id for this service.

Required arguments:

  * downtime_id


=== POST /services/<host>/<service>/cmd/delay_svc_notification

Sends the DELAY_SVC_NOTIFICATION command.

Required arguments:

  * notification_time

See https://www.naemon.io/documentation/developer/externalcommands/delay_svc_notification.html for details.

=== POST /services/<host>/<service>/cmd/disable_passive_svc_checks

Sends the DISABLE_PASSIVE_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_passive_svc_checks.html for details.

=== POST /services/<host>/<service>/cmd/disable_svc_check

Sends the DISABLE_SVC_CHECK command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_svc_check.html for details.

=== POST /services/<host>/<service>/cmd/disable_svc_event_handler

Sends the DISABLE_SVC_EVENT_HANDLER command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_svc_event_handler.html for details.

=== POST /services/<host>/<service>/cmd/disable_svc_flap_detection

Sends the DISABLE_SVC_FLAP_DETECTION command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_svc_flap_detection.html for details.

=== POST /services/<host>/<service>/cmd/disable_svc_notifications

Sends the DISABLE_SVC_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_svc_notifications.html for details.

=== POST /services/<host>/<service>/cmd/enable_passive_svc_checks

Sends the ENABLE_PASSIVE_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_passive_svc_checks.html for details.

=== POST /services/<host>/<service>/cmd/enable_svc_check

Sends the ENABLE_SVC_CHECK command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_svc_check.html for details.

=== POST /services/<host>/<service>/cmd/enable_svc_event_handler

Sends the ENABLE_SVC_EVENT_HANDLER command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_svc_event_handler.html for details.

=== POST /services/<host>/<service>/cmd/enable_svc_flap_detection

Sends the ENABLE_SVC_FLAP_DETECTION command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_svc_flap_detection.html for details.

=== POST /services/<host>/<service>/cmd/enable_svc_notifications

Sends the ENABLE_SVC_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_svc_notifications.html for details.

=== POST /services/<host>/<service>/cmd/note

Add service note to core log.

Required arguments:

  * log


=== POST /services/<host>/<service>/cmd/process_service_check_result

Sends the PROCESS_SERVICE_CHECK_RESULT command.

Required arguments:

  * plugin_state
  * plugin_output

Optional arguments:

  * performance_data

See https://www.naemon.io/documentation/developer/externalcommands/process_service_check_result.html for details.

=== POST /services/<host>/<service>/cmd/remove_svc_acknowledgement

Sends the REMOVE_SVC_ACKNOWLEDGEMENT command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/remove_svc_acknowledgement.html for details.

=== POST /services/<host>/<service>/cmd/schedule_forced_svc_check

Sends the SCHEDULE_FORCED_SVC_CHECK command.

Optional arguments:

  * start_time

See https://www.naemon.io/documentation/developer/externalcommands/schedule_forced_svc_check.html for details.

=== POST /services/<host>/<service>/cmd/schedule_svc_check

Sends the SCHEDULE_SVC_CHECK command.

Optional arguments:

  * start_time

See https://www.naemon.io/documentation/developer/externalcommands/schedule_svc_check.html for details.

=== POST /services/<host>/<service>/cmd/schedule_svc_downtime

Sends the SCHEDULE_SVC_DOWNTIME command.

Required arguments:

  * comment_data

Optional arguments:

  * start_time
  * end_time
  * fixed
  * triggered_by
  * duration
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/schedule_svc_downtime.html for details.

=== POST /services/<host>/<service>/cmd/send_custom_svc_notification

Sends the SEND_CUSTOM_SVC_NOTIFICATION command.

Required arguments:

  * comment_data

Optional arguments:

  * options
  * comment_author

See https://www.naemon.io/documentation/developer/externalcommands/send_custom_svc_notification.html for details.

=== POST /services/<host>/<service>/cmd/set_svc_notification_number

Sets the current notification number for a particular service. A value of 0 indicates that no notification has yet been sent for the current service problem. Useful for forcing an escalation (based on notification number) or replicating notification information in redundant monitoring environments. Notification numbers greater than zero have no noticeable affect on the notification process if the service is currently in an OK state.

Required arguments:

  * number

See https://www.naemon.io/documentation/developer/externalcommands/set_svc_notification_number.html for details.

=== POST /services/<host>/<service>/cmd/start_obsessing_over_svc

Sends the START_OBSESSING_OVER_SVC command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/start_obsessing_over_svc.html for details.

=== POST /services/<host>/<service>/cmd/stop_obsessing_over_svc

Sends the STOP_OBSESSING_OVER_SVC command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/stop_obsessing_over_svc.html for details.

=== POST /system/cmd/change_global_host_event_handler

Changes the global host event handler command to be that specified by the 'event_handler_command' option. The 'event_handler_command' option specifies the short name of the command that should be used as the new host event handler. The command must have been configured in Naemon before it was last (re)started.

Required arguments:

  * eventhandler

See https://www.naemon.io/documentation/developer/externalcommands/change_global_host_event_handler.html for details.

=== POST /system/cmd/change_global_svc_event_handler

Changes the global service event handler command to be that specified by the 'event_handler_command' option. The 'event_handler_command' option specifies the short name of the command that should be used as the new service event handler. The command must have been configured in Naemon before it was last (re)started.

Required arguments:

  * eventhandler

See https://www.naemon.io/documentation/developer/externalcommands/change_global_svc_event_handler.html for details.

=== POST /system/cmd/del_downtime_by_host_name

This command deletes all downtimes matching the specified filters.

Optional arguments:

  * hostname
  * service_desc
  * start_time
  * comment

See https://www.naemon.io/documentation/developer/externalcommands/del_downtime_by_host_name.html for details.

=== POST /system/cmd/del_downtime_by_hostgroup_name

This command deletes all downtimes matching the specified filters.

Optional arguments:

  * hostgroup_name
  * hostname
  * service_desc
  * start_time
  * comment

See https://www.naemon.io/documentation/developer/externalcommands/del_downtime_by_hostgroup_name.html for details.

=== POST /system/cmd/del_downtime_by_start_time_comment

This command deletes all downtimes matching the specified filters.

Optional arguments:

  * start_time
  * comment

See https://www.naemon.io/documentation/developer/externalcommands/del_downtime_by_start_time_comment.html for details.

=== POST /system/cmd/del_host_comment

Sends the DEL_HOST_COMMENT command.

Required arguments:

  * comment_id

See https://www.naemon.io/documentation/developer/externalcommands/del_host_comment.html for details.

=== POST /system/cmd/del_host_downtime

Sends the DEL_HOST_DOWNTIME command.

Required arguments:

  * downtime_id

See https://www.naemon.io/documentation/developer/externalcommands/del_host_downtime.html for details.

=== POST /system/cmd/del_svc_comment

Sends the DEL_SVC_COMMENT command.

Required arguments:

  * comment_id

See https://www.naemon.io/documentation/developer/externalcommands/del_svc_comment.html for details.

=== POST /system/cmd/del_svc_downtime

Sends the DEL_SVC_DOWNTIME command.

Required arguments:

  * downtime_id

See https://www.naemon.io/documentation/developer/externalcommands/del_svc_downtime.html for details.

=== POST /system/cmd/disable_event_handlers

Sends the DISABLE_EVENT_HANDLERS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_event_handlers.html for details.

=== POST /system/cmd/disable_flap_detection

Sends the DISABLE_FLAP_DETECTION command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_flap_detection.html for details.

=== POST /system/cmd/disable_host_freshness_checks

Disables freshness checks of all hosts on a program-wide basis.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_host_freshness_checks.html for details.

=== POST /system/cmd/disable_notifications

Sends the DISABLE_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_notifications.html for details.

=== POST /system/cmd/disable_performance_data

Sends the DISABLE_PERFORMANCE_DATA command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_performance_data.html for details.

=== POST /system/cmd/disable_service_freshness_checks

Disables freshness checks of all services on a program-wide basis.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/disable_service_freshness_checks.html for details.

=== POST /system/cmd/enable_event_handlers

Sends the ENABLE_EVENT_HANDLERS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_event_handlers.html for details.

=== POST /system/cmd/enable_flap_detection

Sends the ENABLE_FLAP_DETECTION command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_flap_detection.html for details.

=== POST /system/cmd/enable_host_freshness_checks

Enables freshness checks of all services on a program-wide basis. Individual services that have freshness checks disabled will not be checked for freshness.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_host_freshness_checks.html for details.

=== POST /system/cmd/enable_notifications

Sends the ENABLE_NOTIFICATIONS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_notifications.html for details.

=== POST /system/cmd/enable_performance_data

Sends the ENABLE_PERFORMANCE_DATA command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_performance_data.html for details.

=== POST /system/cmd/enable_service_freshness_checks

Enables freshness checks of all services on a program-wide basis. Individual services that have freshness checks disabled will not be checked for freshness.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/enable_service_freshness_checks.html for details.

=== POST /system/cmd/log

Add custom log entry to core log.

Required arguments:

  * log

See https://www.naemon.io/documentation/developer/externalcommands/log.html for details.

=== POST /system/cmd/read_state_information

Causes Naemon to load all current monitoring status information from the state retention file. Normally, state retention information is loaded when the Naemon process starts up and before it starts monitoring. WARNING: This command will cause Naemon to discard all current monitoring status information and use the information stored in state retention file! Use with care.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/read_state_information.html for details.

=== POST /system/cmd/restart_process

Sends the RESTART_PROCESS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/restart_process.html for details.

=== POST /system/cmd/restart_program

Restarts the Naemon process.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/restart_program.html for details.

=== POST /system/cmd/save_state_information

Causes Naemon to save all current monitoring status information to the state retention file. Normally, state retention

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/save_state_information.html for details.

=== POST /system/cmd/shutdown_process

Sends the SHUTDOWN_PROCESS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/shutdown_process.html for details.

=== POST /system/cmd/shutdown_program

Shuts down the Naemon process.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/shutdown_program.html for details.

=== POST /system/cmd/start_accepting_passive_host_checks

Sends the START_ACCEPTING_PASSIVE_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/start_accepting_passive_host_checks.html for details.

=== POST /system/cmd/start_accepting_passive_svc_checks

Sends the START_ACCEPTING_PASSIVE_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/start_accepting_passive_svc_checks.html for details.

=== POST /system/cmd/start_executing_host_checks

Sends the START_EXECUTING_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/start_executing_host_checks.html for details.

=== POST /system/cmd/start_executing_svc_checks

Sends the START_EXECUTING_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/start_executing_svc_checks.html for details.

=== POST /system/cmd/start_obsessing_over_host_checks

Sends the START_OBSESSING_OVER_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/start_obsessing_over_host_checks.html for details.

=== POST /system/cmd/start_obsessing_over_svc_checks

Sends the START_OBSESSING_OVER_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/start_obsessing_over_svc_checks.html for details.

=== POST /system/cmd/stop_accepting_passive_host_checks

Sends the STOP_ACCEPTING_PASSIVE_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/stop_accepting_passive_host_checks.html for details.

=== POST /system/cmd/stop_accepting_passive_svc_checks

Sends the STOP_ACCEPTING_PASSIVE_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/stop_accepting_passive_svc_checks.html for details.

=== POST /system/cmd/stop_executing_host_checks

Sends the STOP_EXECUTING_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/stop_executing_host_checks.html for details.

=== POST /system/cmd/stop_executing_svc_checks

Sends the STOP_EXECUTING_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/stop_executing_svc_checks.html for details.

=== POST /system/cmd/stop_obsessing_over_host_checks

Sends the STOP_OBSESSING_OVER_HOST_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/stop_obsessing_over_host_checks.html for details.

=== POST /system/cmd/stop_obsessing_over_svc_checks

Sends the STOP_OBSESSING_OVER_SVC_CHECKS command.

This command does not require any arguments.

See https://www.naemon.io/documentation/developer/externalcommands/stop_obsessing_over_svc_checks.html for details.

=== POST /thruk/users/<id>/cmd/lock

lock given thruk user.

=== POST /thruk/users/<id>/cmd/unlock

unlock given thruk user.

